binWidth_tidiers {broom} | R Documentation

## Tidy a binWidth object

### Description

Tidy a binWidth object from the "binGroup" package, which calculates the expected width of a confidence interval from a binomial test.

### Usage

    ## S3 method for class 'binWidth'
    tidy(x, ...)

### Arguments

`x` | A "binWidth" object
`...` | Extra arguments (not used)

### Value

A one-row data.frame with columns:

`ci.width` | Expected width of confidence interval
`alternative` | Alternative hypothesis
`p` | True proportion
`n` | Total sample size

### Examples

    if (require("binGroup", quietly = TRUE)) {
        bw <- binWidth(100, .1)
        bw
        tidy(bw)

        library(dplyr)
        d <- expand.grid(n = seq(100, 800, 100),
                         p = .5,
                         method = c("CP", "Blaker", "Score", "Wald"),
                         stringsAsFactors = FALSE) %>%
            group_by(n, p, method) %>%
            do(tidy(binWidth(.$n, .$p, method = .$method)))

        library(ggplot2)
        ggplot(d, aes(n, ci.width, color = method)) +
            geom_line() +
            xlab("Total Observations") +
            ylab("Expected CI Width")
    }

[Package broom version 0.4.1 Index]